%global major 0
%define libname %mklibname ldm %major
%define devname %mklibname -d ldm
Name:           libldm
Version:        0.2.3
Release:        %mkrel 3
Summary:        A tool to manage Windows dynamic disks
Group:		System/Libraries
License:        LGPLv3+ and GPLv3+
URL:            https://github.com/mdbooth/libldm 
Source0:        %{url}/downloads/%{name}-%{version}.tar.gz
Patch0:         cast_be64toh.patch
Patch1:         libldm-gtype.patch
Patch2:         libldm-security.patch

BuildRequires:  glib2-devel >= 2.26.0
BuildRequires:  json-glib-devel >= 0.14.0
BuildRequires:  device-mapper-devel >= 1.0
BuildRequires:  zlib-devel libuuid-devel readline-devel
BuildRequires:  gtk-doc


%description
libldm is a library for managing Microsoft Windows dynamic disks, which use
Microsoft's LDM metadata. It can inspect them, and also create and remove
device-mapper block devices which can be mounted. It includes ldmtool, which
exposes this functionality as a command-line tool.

libldm is released under LGPLv3+. ldmtool is released under GPLv3+.


%package        -n %libname
Summary:        A tool to manage Windows dynamic disks
Group:		System/Libraries

%description    -n %libname
libldm is a library for managing Microsoft Windows dynamic disks, which use
Microsoft's LDM metadata. It can inspect them, and also create and remove
device-mapper block devices which can be mounted.

%package        -n %devname
Summary:        Development files for %{name}
Group:		Development/C
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Provides:	libldm-devel = %{version}-%{release}

%description    -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
%configure2_5x --disable-static --enable-gtk-doc
%make V=1


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'




%files
%doc COPYING.lgpl COPYING.gpl
%{_bindir}/ldmtool
%{_mandir}/man1/ldmtool.1*

%files -n %libname
%doc COPYING.lgpl COPYING.gpl
%{_libdir}/*.so.*


%files -n %devname
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/ldm-1.0.pc
%{_datadir}/gtk-doc




%changelog
* Mon Jun 27 2016 tv <tv> 0.2.3-3.mga6
+ Revision: 1037916
- split ldmtool in its own package

* Mon Jun 27 2016 tv <tv> 0.2.3-2.mga6
+ Revision: 1037911
- fix library description

* Tue Apr 26 2016 tv <tv> 0.2.3-1.mga6
+ Revision: 1006651
- imported package libldm

